org.apache.olingo.client.api.uri

## Interface FilterArgFactory

-     public interface FilterArgFactory

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FilterArg` | `add(FilterArg first, FilterArg second)`
    `FilterArg` | `all(FilterArg collection, String lambdaVariable, URIFilter expression)`
    `FilterArg` | `all(FilterArg collection, URIFilter expression)`
    `FilterArg` | `any(FilterArg collection, String lambdaVariable, URIFilter expression)`
    `FilterArg` | `any(FilterArg collection, URIFilter expression)`
    `FilterArg` | `cast(FilterArg type)`
    `FilterArg` | `cast(FilterArg expression, FilterArg type)`
    `FilterArg` | `ceiling(FilterArg param)`
    `FilterArg` | `concat(FilterArg first, FilterArg second)`
    `FilterArg` | `contains(FilterArg first, FilterArg second)`
    `FilterArg` | `date(FilterArg param)`
    `FilterArg` | `day(FilterArg param)`
    `FilterArg` | `div(FilterArg first, FilterArg second)`
    `FilterArg` | `endswith(FilterArg first, FilterArg second)`
    `FilterArg` | `floor(FilterArg param)`
    `FilterArg` | `fractionalseconds(FilterArg param)`
    `FilterArg` | `geoDistance(FilterArg first, FilterArg second)`
    `FilterArg` | `geoIntersects(FilterArg first, FilterArg second)`
    `FilterArg` | `geoLength(FilterArg first, FilterArg second)`
    `FilterArg` | `hour(FilterArg param)`
    `FilterArg` | `indexof(FilterArg first, FilterArg second)`
    `FilterArg` | `isof(FilterArg type)`
    `FilterArg` | `isof(FilterArg expression, FilterArg type)`
    `FilterArg` | `length(FilterArg param)`
    `FilterArg` | `literal(Object value)`
    `FilterArg` | `maxdatetime()`
    `FilterArg` | `mindatetime()`
    `FilterArg` | `minute(FilterArg param)`
    `FilterArg` | `mod(FilterArg first, FilterArg second)`
    `FilterArg` | `month(FilterArg param)`
    `FilterArg` | `mul(FilterArg first, FilterArg second)`
    `FilterArg` | `now()`
    `FilterArg` | `nullValue()`
    `FilterArg` | `property(String propertyPath)`
    `FilterArg` | `replace(FilterArg first, FilterArg second, FilterArg third)`
    `FilterArg` | `round(FilterArg param)`
    `FilterArg` | `second(FilterArg param)`
    `FilterArg` | `startswith(FilterArg first, FilterArg second)`
    `FilterArg` | `sub(FilterArg first, FilterArg second)`
    `FilterArg` | `substring(FilterArg arg, FilterArg pos)`
    `FilterArg` | `substring(FilterArg arg, FilterArg pos, FilterArg length)`
    `FilterArg` | `time(FilterArg param)`
    `FilterArg` | `tolower(FilterArg param)`
    `FilterArg` | `totaloffsetminutes(FilterArg param)`
    `FilterArg` | `totalseconds(FilterArg param)`
    `FilterArg` | `toupper(FilterArg param)`
    `FilterArg` | `trim(FilterArg param)`
    `FilterArg` | `year(FilterArg param)`

- - ### Method Detail

    - #### nullValue

          FilterArg nullValue()

    - #### add

          FilterArg add(FilterArg first,
                        FilterArg second)

    - #### ceiling

          FilterArg ceiling(FilterArg param)

    - #### concat

          FilterArg concat(FilterArg first,
                           FilterArg second)

    - #### day

          FilterArg day(FilterArg param)

    - #### div

          FilterArg div(FilterArg first,
                        FilterArg second)

    - #### endswith

          FilterArg endswith(FilterArg first,
                             FilterArg second)

    - #### floor

          FilterArg floor(FilterArg param)

    - #### hour

          FilterArg hour(FilterArg param)

    - #### indexof

          FilterArg indexof(FilterArg first,
                            FilterArg second)

    - #### isof

          FilterArg isof(FilterArg type)

    - #### isof

          FilterArg isof(FilterArg expression,
                         FilterArg type)

    - #### length

          FilterArg length(FilterArg param)

    - #### literal

          FilterArg literal(Object value)

    - #### minute

          FilterArg minute(FilterArg param)

    - #### mod

          FilterArg mod(FilterArg first,
                        FilterArg second)

    - #### month

          FilterArg month(FilterArg param)

    - #### mul

          FilterArg mul(FilterArg first,
                        FilterArg second)

    - #### property

          FilterArg property(String propertyPath)

    - #### replace

          FilterArg replace(FilterArg first,
                            FilterArg second,
                            FilterArg third)

    - #### round

          FilterArg round(FilterArg param)

    - #### second

          FilterArg second(FilterArg param)

    - #### startswith

          FilterArg startswith(FilterArg first,
                               FilterArg second)

    - #### sub

          FilterArg sub(FilterArg first,
                        FilterArg second)

    - #### substring

          FilterArg substring(FilterArg arg,
                              FilterArg pos)

    - #### substring

          FilterArg substring(FilterArg arg,
                              FilterArg pos,
                              FilterArg length)

    - #### tolower

          FilterArg tolower(FilterArg param)

    - #### toupper

          FilterArg toupper(FilterArg param)

    - #### trim

          FilterArg trim(FilterArg param)

    - #### year

          FilterArg year(FilterArg param)

    - #### contains

          FilterArg contains(FilterArg first,
                             FilterArg second)

    - #### fractionalseconds

          FilterArg fractionalseconds(FilterArg param)

    - #### date

          FilterArg date(FilterArg param)

    - #### time

          FilterArg time(FilterArg param)

    - #### totaloffsetminutes

          FilterArg totaloffsetminutes(FilterArg param)

    - #### now

          FilterArg now()

    - #### mindatetime

          FilterArg mindatetime()

    - #### maxdatetime

          FilterArg maxdatetime()

    - #### totalseconds

          FilterArg totalseconds(FilterArg param)

    - #### cast

          FilterArg cast(FilterArg type)

    - #### cast

          FilterArg cast(FilterArg expression,
                         FilterArg type)

    - #### geoDistance

          FilterArg geoDistance(FilterArg first,
                                FilterArg second)

    - #### geoIntersects

          FilterArg geoIntersects(FilterArg first,
                                  FilterArg second)

    - #### geoLength

          FilterArg geoLength(FilterArg first,
                              FilterArg second)

    - #### any

          FilterArg any(FilterArg collection,
                        URIFilter expression)

    - #### any

          FilterArg any(FilterArg collection,
                        String lambdaVariable,
                        URIFilter expression)

    - #### all

          FilterArg all(FilterArg collection,
                        URIFilter expression)

    - #### all

          FilterArg all(FilterArg collection,
                        String lambdaVariable,
                        URIFilter expression)

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.